com.independentsoft.exchange

## Enum AuthenticationMethod

- java.lang.Object
- - java.lang.Enum<AuthenticationMethod>
  - - com.independentsoft.exchange.AuthenticationMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthenticationMethod>

      public enum AuthenticationMethod
      extends java.lang.Enum<AuthenticationMethod>

  Describes the authentication methods that are available for a Web client.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC` Basic.
    `DIGEST` Digest.
    `FBA` Fba.
    `NONE` None.
    `NTLM` Ntlm.
    `WINDOWS_INTEGRATED` WindowsIntegrated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticationMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final AuthenticationMethod BASIC

      Basic.

    - #### NTLM

          public static final AuthenticationMethod NTLM

      Ntlm.

    - #### FBA

          public static final AuthenticationMethod FBA

      Fba.

    - #### DIGEST

          public static final AuthenticationMethod DIGEST

      Digest.

    - #### WINDOWS_INTEGRATED

          public static final AuthenticationMethod WINDOWS_INTEGRATED

      WindowsIntegrated.

    - #### NONE

          public static final AuthenticationMethod NONE

      None.

  - ### Method Detail

    - #### values

          public static AuthenticationMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationMethod c : AuthenticationMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null